
!MADescribedColumn methodsFor: 'accessing-defaults' stamp: 'lr 8/18/2007 10:49'!
defaultSorter
	^ self description isSortable ifTrue: [ super defaultSorter ]! !

!MAFileModel methodsFor: '*magritte-seaside-rendering' stamp: 'lr 3/26/2009 22:03'!
urlFor: aRenderContext
	"Answer a link for the given rendering context."
	
	^ aRenderContext
		urlForDocument: self contents
		mimeType: self mimetype! !

!MAFileModel methodsFor: '*magritte-seaside-rendering' stamp: 'lr 3/26/2009 22:10'!
urlOn: html
	self deprecatedApi: 'Use #urlFor: with the rendering context instead.'.
	^ self urlFor: html context! !

!MAInternalEditorComponent methodsFor: 'private' stamp: 'lr 4/1/2009 21:03'!
buildComponent
	^ (self description reference asComponentOn: self value)
		setParent: self;
		yourself! !

!MAReport methodsFor: 'exporting' stamp: 'lr 9/26/2007 18:47'!
exportBodyOn: aStream
	self cache withIndexDo: [ :row :index |
		self visibleColumns
			do: [ :column |
				column
					exportContent: (column valueFor: row)
					index: index on: aStream ]
			separatedBy: [ aStream tab ].
		aStream cr ]! !

!MAReport methodsFor: 'exporting' stamp: 'lr 9/26/2007 18:48'!
exportHeaderOn: aStream
	self visibleColumns
		do: [ :each | each exportHeadOn: aStream ]
		separatedBy: [ aStream tab ].
	aStream cr! !
